package sun.java2d.pipe;

import java.awt.image.BufferedImageOp;
import java.awt.image.BufferedImage;
import java.awt.geom.AffineTransform;
import java.awt.image.ImageObserver;
import java.awt.Color;
import java.awt.Image;
import java.awt.font.GlyphVector;
import java.awt.Shape;
import sun.java2d.SunGraphics2D;

public class ValidatePipe implements PixelDrawPipe, PixelFillPipe, ShapeDrawPipe, TextPipe, DrawImagePipe
{
    public ValidatePipe() {
    }
    
    public boolean validate(SunGraphics2D sunGraphics2D) {
        sunGraphics2D.validatePipe();
        return true;
    }
    
    @Override
    public void drawLine(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawLine(sunGraphics2D, n, n2, n3, n4);
        }
    }
    
    @Override
    public void drawRect(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawRect(sunGraphics2D, n, n2, n3, n4);
        }
    }
    
    @Override
    public void fillRect(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.fillpipe.fillRect(sunGraphics2D, n, n2, n3, n4);
        }
    }
    
    @Override
    public void drawRoundRect(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4, int n5, int n6) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawRoundRect(sunGraphics2D, n, n2, n3, n4, n5, n6);
        }
    }
    
    @Override
    public void fillRoundRect(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4, int n5, int n6) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.fillpipe.fillRoundRect(sunGraphics2D, n, n2, n3, n4, n5, n6);
        }
    }
    
    @Override
    public void drawOval(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawOval(sunGraphics2D, n, n2, n3, n4);
        }
    }
    
    @Override
    public void fillOval(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.fillpipe.fillOval(sunGraphics2D, n, n2, n3, n4);
        }
    }
    
    @Override
    public void drawArc(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4, int n5, int n6) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawArc(sunGraphics2D, n, n2, n3, n4, n5, n6);
        }
    }
    
    @Override
    public void fillArc(SunGraphics2D sunGraphics2D, int n, int n2, int n3, int n4, int n5, int n6) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.fillpipe.fillArc(sunGraphics2D, n, n2, n3, n4, n5, n6);
        }
    }
    
    @Override
    public void drawPolyline(SunGraphics2D sunGraphics2D, int[] array, int[] array2, int n) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawPolyline(sunGraphics2D, array, array2, n);
        }
    }
    
    @Override
    public void drawPolygon(SunGraphics2D sunGraphics2D, int[] array, int[] array2, int n) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.drawpipe.drawPolygon(sunGraphics2D, array, array2, n);
        }
    }
    
    @Override
    public void fillPolygon(SunGraphics2D sunGraphics2D, int[] array, int[] array2, int n) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.fillpipe.fillPolygon(sunGraphics2D, array, array2, n);
        }
    }
    
    @Override
    public void draw(SunGraphics2D sunGraphics2D, Shape shape) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.shapepipe.draw(sunGraphics2D, shape);
        }
    }
    
    @Override
    public void fill(SunGraphics2D sunGraphics2D, Shape shape) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.shapepipe.fill(sunGraphics2D, shape);
        }
    }
    
    @Override
    public void drawString(SunGraphics2D sunGraphics2D, String s, double n, double n2) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.textpipe.drawString(sunGraphics2D, s, n, n2);
        }
    }
    
    @Override
    public void drawGlyphVector(SunGraphics2D sunGraphics2D, GlyphVector glyphVector, float n, float n2) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.textpipe.drawGlyphVector(sunGraphics2D, glyphVector, n, n2);
        }
    }
    
    @Override
    public void drawChars(SunGraphics2D sunGraphics2D, char[] array, int n, int n2, int n3, int n4) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.textpipe.drawChars(sunGraphics2D, array, n, n2, n3, n4);
        }
    }
    
    @Override
    public boolean copyImage(SunGraphics2D sunGraphics2D, Image image, int n, int n2, Color color, ImageObserver imageObserver) {
        return this.validate(sunGraphics2D) && sunGraphics2D.imagepipe.copyImage(sunGraphics2D, image, n, n2, color, imageObserver);
    }
    
    @Override
    public boolean copyImage(SunGraphics2D sunGraphics2D, Image image, int n, int n2, int n3, int n4, int n5, int n6, Color color, ImageObserver imageObserver) {
        return this.validate(sunGraphics2D) && sunGraphics2D.imagepipe.copyImage(sunGraphics2D, image, n, n2, n3, n4, n5, n6, color, imageObserver);
    }
    
    @Override
    public boolean scaleImage(SunGraphics2D sunGraphics2D, Image image, int n, int n2, int n3, int n4, Color color, ImageObserver imageObserver) {
        return this.validate(sunGraphics2D) && sunGraphics2D.imagepipe.scaleImage(sunGraphics2D, image, n, n2, n3, n4, color, imageObserver);
    }
    
    @Override
    public boolean scaleImage(SunGraphics2D sunGraphics2D, Image image, int n, int n2, int n3, int n4, int n5, int n6, int n7, int n8, Color color, ImageObserver imageObserver) {
        return this.validate(sunGraphics2D) && sunGraphics2D.imagepipe.scaleImage(sunGraphics2D, image, n, n2, n3, n4, n5, n6, n7, n8, color, imageObserver);
    }
    
    @Override
    public boolean transformImage(SunGraphics2D sunGraphics2D, Image image, AffineTransform affineTransform, ImageObserver imageObserver) {
        return this.validate(sunGraphics2D) && sunGraphics2D.imagepipe.transformImage(sunGraphics2D, image, affineTransform, imageObserver);
    }
    
    @Override
    public void transformImage(SunGraphics2D sunGraphics2D, BufferedImage bufferedImage, BufferedImageOp bufferedImageOp, int n, int n2) {
        if (this.validate(sunGraphics2D)) {
            sunGraphics2D.imagepipe.transformImage(sunGraphics2D, bufferedImage, bufferedImageOp, n, n2);
        }
    }
}
